# https://github.com/crazy-max/docker-pure-ftpd/blob/master/examples/postgresql/data/pureftpd-pgsql.conf

PGSQLServer     {{ pg_host }}
PGSQLPort       5432
PGSQLUser       pureftpd
PGSQLPassword   {{ pg_users.pureftpd.password }}
PGSQLDatabase   {{ pg_databases.pureftpd.name }}

PGSQLCrypt      crypt

PGSQLGetPW      SELECT "password" FROM users WHERE "username"='\L'
PGSQLDefaultUID 1000
PGSQLDefaultGID 1000
PGSQLGetDir     SELECT "home_dir" FROM users WHERE "username"='\L'
# PGSQLGetUID     SELECT "Uid" FROM users WHERE "User"='\L'
# PGSQLGetGID     SELECT "Gid" FROM users WHERE "User"='\L'

# PGSQLGetQTAFS  SELECT "QuotaFiles" FROM users WHERE "User"='\L'
PGSQLGetQTASZ  SELECT "quota_size" FROM users WHERE "username"='\L'
# PGSQLGetRatioUL SELECT "ULRatio" FROM users WHERE "User"='\L'
# PGSQLGetRatioDL SELECT "DLRatio" FROM users WHERE "User"='\L'
# PGSQLGetBandwidthUL SELECT "ULBandwidth" FROM users WHERE "User"='\L'
# PGSQLGetBandwidthDL SELECT "DLBandwidth" FROM users WHERE "User"='\L'
